## python-refurb 1.10.0

=== Makefile ===
.PHONY: install flake8 mypy black isort test test-e2e refurb

all: flake8 mypy black isort test refurb

install:
	pip install .
	pip install -r dev-requirements.txt

install-local:
	pip install -e .

flake8:
	flake8

mypy:
	mypy refurb
	mypy test --exclude "test/data*"

black:
	black refurb test

isort:
	isort . --diff --check

test:
	pytest

test-e2e: install-local
	refurb test/e2e/dummy.py

refurb:
	refurb refurb test/*.py

test/data/%.txt: test/data/%.py
	refurb "$^" --enable-all --quiet > "$@" || true

update-tests: $(patsubst %.py,%.txt,$(wildcard test/data/*.py))

## python-refurb 1.7.0

=== debian/changelog ===
python-refurb (1.7.0-1) unstable; urgency=low

  * New upstream release.
  * Place documentation source where tests can pick it up.
  * Skip categories test in autopkgtest as it requires documentation
    source.

 -- Michael Fladischer <fladi@debian.org>  Sun, 20 Nov 2022 18:17:42 +0000

python-refurb (1.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Wed, 26 Oct 2022 16:59:57 +0000

python-refurb (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * Fix typo in long description (Closes: #1021194).

 -- Michael Fladischer <fladi@debian.org>  Mon, 10 Oct 2022 21:06:58 +0000

python-refurb (1.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Mon, 03 Oct 2022 10:59:59 +0000

python-refurb (1.1.0-1) unstable; urgency=low

  * Initial release (Closes: #1020950).

 -- Michael Fladischer <fladi@debian.org>  Wed, 28 Sep 2022 11:10:43 +0000

=== debian/control ===
Source: python-refurb
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 docbook-to-man,
 pybuild-plugin-pyproject,
 python3-all,
 python3-mypy,
 python3-poetry-core,
 python3-pytest,
 python3-pytest-cov,
 python3-setuptools,
Standards-Version: 4.6.1.0
Homepage: https://github.com/dosisod/refurb
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-refurb
Vcs-Git: https://salsa.debian.org/python-team/packages/python-refurb.git
Rules-Requires-Root: no

Package: python3-refurb
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: tool for refurbishing and modernizing Python codebases (Python3 version)
 A tool for refurbishing and modernizing Python codebases. It can give hints on
 possible improvements and new features to use in an existing Python codebase.
 Refurb is not a style/type checker. It is not meant as a first-line of defense
 for linting and finding bugs, it is meant for making good code even better.
 .
 This package contains the Python 3 version of the library.

Package: refurb
Section: devel
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-refurb (= ${binary:Version}),
Description: tool for refurbishing and modernizing Python codebases
 A tool for refurbishing and modernizing Python codebases. It can give hints on
 possible improvements and new features to use in an existing Python codebase.
 Refurb is not a style/type checker. It is not meant as a first-line of defense
 for linting and finding bugs, it is meant for making good code even better.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#export PYBUILD_TEST_ARGS=--cov-fail-under=0
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/.coverage {build_dir}/htmlcov {build_dir}/.pytest_cache

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installman:
	docbook-to-man debian/manpage.refurb.sgml > refurb.1
	dh_installman

## python-refurb 1.10.0

=== debian/changelog ===
python-refurb (1.10.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.6.2.
  * Disable test that relies on files not included in the package.

 -- Michael Fladischer <fladi@debian.org>  Wed, 01 Feb 2023 08:00:30 +0000

python-refurb (1.9.1-1) unstable; urgency=low

  * New upstream release (Closes: #1024528).
  * Update d/copyright with new years.

 -- Michael Fladischer <fladi@debian.org>  Thu, 05 Jan 2023 21:24:48 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-pytest,
  python3-pytest-cov,
  python3-setuptools,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/dosisod/refurb
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-refurb
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-refurb.git

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-#export PYBUILD_TEST_ARGS=--cov-fail-under=0
+export PYBUILD_TEST_ARGS=-k "not test_checks_are_formatted_properly"
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/.coverage {build_dir}/htmlcov {build_dir}/.pytest_cache
 
 %:

## python-refurb 1.17.0

=== Makefile ===
.PHONY: install ruff mypy black isort test test-e2e refurb docs

all: ruff mypy black isort test refurb docs

install:
	pip install .
	pip install -r dev-requirements.txt

install-local:
	pip install -e .

ruff:
	ruff refurb test

mypy:
	mypy refurb
	mypy test --exclude "test/data*"

black:
	black refurb test

isort:
	isort . --diff --check

test:
	pytest

test-e2e: install-local
	refurb test/e2e/dummy.py

refurb:
	refurb refurb test/*.py

test/%.txt: test/%.py
	refurb "$^" --enable-all --quiet > "$@" || true

update-tests: $(patsubst %.py,%.txt,$(wildcard test/data*/*.py))

docs:
	python3 -m docs.gen_checks

## python-refurb 1.19.0

=== Makefile ===
.PHONY: install ruff mypy black isort typos test test-e2e refurb docs

all: ruff mypy black isort typos test refurb docs

install:
	pip install -e .
	pip install -r dev-requirements.txt

ruff:
	ruff refurb test

mypy:
	mypy refurb
	mypy test --exclude "test/data*"

black:
	black refurb test

isort:
	isort . --diff --check

typos:
	typos --format brief

test:
	pytest

test-e2e: install
	refurb test/e2e/dummy.py

refurb:
	refurb refurb test/*.py

test/%.txt: test/%.py
	refurb "$^" --enable-all --quiet > "$@" || true

update-tests: $(patsubst %.py,%.txt,$(wildcard test/data*/*.py))

docs:
	python3 -m docs.gen_checks

clean:
	rm -rf .mypy_cache .ruff_cache .pytest_cache

=== debian/changelog ===
python-refurb (1.19.0-2) unstable; urgency=medium

  * Team upload.
  * Bump mypy requirement to match upstream
  * Drop patch to fix expected postitions for FURB175 messages

 -- Nicolas Dandrimont <olasd@debian.org>  Fri, 11 Aug 2023 15:20:08 +0200

python-refurb (1.19.0-1) unstable; urgency=medium

  * New upstream version 1.19.0
  * Add patch to fix expected postitions for FURB175 messages.
  * Add python3-fastapi to Build-Depends, required by tests.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Thu, 10 Aug 2023 21:24:55 +0000

python-refurb (1.17.0-1) unstable; urgency=medium

  * New upstream version 1.17.0

 -- Michael Fladischer <fladi@debian.org>  Thu, 29 Jun 2023 11:28:22 +0000

python-refurb (1.16.0-1) unstable; urgency=medium

  * New upstream version 1.16.0

 -- Michael Fladischer <fladi@debian.org>  Tue, 20 Jun 2023 19:17:47 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
  docbook-to-man,
  pybuild-plugin-pyproject,
  python3-all,
- python3-mypy,
+ python3-fastapi,
+ python3-mypy (>= 1.4~),
  python3-poetry-core,
  python3-pytest,
  python3-pytest-cov,
@@ -38,9 +39,9 @@
 Section: devel
 Architecture: all
 Depends:
+ python3-refurb (= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends},
- python3-refurb (= ${binary:Version}),
 Description: tool for refurbishing and modernizing Python codebases
  A tool for refurbishing and modernizing Python codebases. It can give hints on
  possible improvements and new features to use in an existing Python codebase.

## python-refurb 1.20.0

=== debian/changelog ===
python-refurb (1.20.0-1) unstable; urgency=medium

  * New upstream version 1.20.0

 -- Michael Fladischer <fladi@debian.org>  Fri, 01 Sep 2023 21:29:54 +0000

## python-refurb 1.27.0

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	mypy test --exclude "test/data*"
 
 black:
-	black refurb test
+	black refurb test --check --diff
 
 isort:
 	isort . --diff --check
@@ -32,12 +32,17 @@
 	refurb refurb test/*.py
 
 test/%.txt: test/%.py
-	refurb "$^" --enable-all --quiet > "$@" || true
+	refurb "$^" --enable-all --quiet --no-color > "$@" || true
 
 update-tests: $(patsubst %.py,%.txt,$(wildcard test/data*/*.py))
 
 docs:
 	python3 -m docs.gen_checks
 
+fmt:
+	ruff refurb test --fix
+	isort .
+	black refurb test
+
 clean:
 	rm -rf .mypy_cache .ruff_cache .pytest_cache

=== debian/changelog ===
python-refurb (1.27.0-1) unstable; urgency=low

  * New upstream version 1.27.0
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Sun, 21 Jan 2024 22:03:11 +0000

python-refurb (1.26.0-1) unstable; urgency=low

  * New upstream version 1.26.0

 -- Michael Fladischer <fladi@debian.org>  Fri, 29 Dec 2023 18:03:35 +0000

python-refurb (1.25.0-1) unstable; urgency=low

  * New upstream version 1.25.0

 -- Michael Fladischer <fladi@debian.org>  Sat, 09 Dec 2023 15:28:55 +0000

python-refurb (1.24.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Add salsa-ci file (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 20 Nov 2023 09:46:27 +0100

python-refurb (1.22.1-1) unstable; urgency=medium

  * New upstream version 1.22.1 (Closes: #1054765).

 -- Michael Fladischer <fladi@debian.org>  Sat, 28 Oct 2023 13:32:56 +0000

python-refurb (1.21.0-1) unstable; urgency=medium

  * New upstream version 1.21.0

 -- Michael Fladischer <fladi@debian.org>  Sat, 23 Sep 2023 15:50:03 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  docbook-to-man,
  pybuild-plugin-pyproject,
  python3-all,

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/.coverage {build_dir}/htmlcov {build_dir}/.pytest_cache
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_installman:
 	docbook-to-man debian/manpage.refurb.sgml > refurb.1

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v([\d\.]+)\.tar\.gz/python-refurb-$1.tar.gz/ \
https://github.com/dosisod/refurb/tags \
/dosisod/refurb/archive/refs/tags/v([\d\.]+)\.tar\.gz
